Share Document With Patient
curl --request PATCH \
--url https://api.decodahealth.com/user/patient/document/{document_id}/share \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--header 'TENANT: <tenant>' \
--data '{
"shared": true
}'import requests
url = "https://api.decodahealth.com/user/patient/document/{document_id}/share"
payload = { "shared": True }
headers = {
"TENANT": "<tenant>",
"API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {TENANT: '<tenant>', 'API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({shared: true})
};
fetch('https://api.decodahealth.com/user/patient/document/{document_id}/share', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"patientId": "<string>",
"filePath": "<string>",
"fileType": "<string>",
"title": "<string>",
"summary": "<string>",
"docType": "<string>",
"signatureUrl": "<string>",
"expiryDate": "2023-12-25",
"createdDate": "2023-11-07T05:31:56Z",
"updatedDate": "2023-11-07T05:31:56Z",
"noteIds": [],
"sourceNoteId": "<string>",
"reviewedByProviderId": "<string>",
"reviewedDate": "2023-11-07T05:31:56Z",
"reviewComment": "<string>",
"sharedWithPatient": false,
"sharedDate": "2023-11-07T05:31:56Z",
"sharedByProviderId": "<string>",
"patientMessage": "<string>",
"sourceAnsweredFormId": "<string>",
"sourceFormId": "<string>",
"sourceFormName": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Patient Documents
Share Document With Patient
Share (or un-share) a document with the patient’s portal. When shared, the document becomes visible to the patient via the patient-portal documents endpoints; un-sharing hides it again.
PATCH
/
user
/
patient
/
document
/
{document_id}
/
share
Share Document With Patient
Headers
The tenant you are making this request on behalf of
Your api key
Path Parameters
Body
application/json
Body for sharing/un-sharing a document with the patient's portal.
Response
Successful Response
⌘I
